Subject: Re: [PATH RFC net-next 7/8] net: phy: Replace phy driver features u32 with link_mode bitmap

From: Andrew Lunn <[email-masked]>
Date: Sun, 16 Sep 2018 00:30:53 +0200

On Sat, Sep 15, 2018 at 02:31:14PM -0700, Florian Fainelli wrote:
> 
> 
> On 09/14/18 14:38, Andrew Lunn wrote:
> > This is one step in allowing phylib to make use of link_mode bitmaps,
> > instead of u32 for supported and advertised features. Convert the phy
> > drivers to use bitmaps to indicates the features they support. This
> > requires some macro magic in order to construct constant bitmaps used
> > to initialise the driver structures.
> > 
> > Some new PHY_*_FEATURES are added, to indicate FIBRE is supported, and
> > that all media ports are supported. This is done since bitmaps cannot
> > be ORed together at compile time.
> > 
> > Within phylib, the features bitmap is currently turned back into a
> > u32.  The MAC API to phylib needs to be cleaned up before the core of
> > phylib can be converted to using bitmaps instead of u32.
> 
> Nice!

Hi Florian

This is the patch i don't like. I'm hoping somebody can think of a
better way to initialise a bitmap.

       Andrew